import { axios } from '@/utils/request'

//  根据sn查找经销商详情
export const dealerDetailBySn = (params) => {
  return axios({
    url: `/dealer/findBySn/${params.sn}`,
    data: params,
    method: 'get'
  })
}
// 根据sn查找修改过后的经销商信息
export const dealerFindUpdateInfoBySn = (params) => {
  return axios({
    url: `/dealer/findUpdateInfoBySn/${params.sn}`,
    data: params,
    method: 'get'
  })
}
//  经销商列表有分页
export const dealerQueryList = (params) => {
  const url = `/dealer/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

//  经销商保存
export const dealerSave = (params) => {
  return axios({
    url: '/dealer/save',
    data: params,
    method: 'post'
  })
}

// 审核经销商资料
export const dealerAudit = (params) => {
  return axios({
    url: `/dealer/audit/${params.dealerAuditSn}/${params.auditState}`,
    method: 'get'
  })
}

// 更新经销级别
export const updateDealerLevel = (params) => {
  return axios({
    url: `/dealer/updateDealerLevel/${params.dealerSn}/${params.dealerLevel}`,
    method: 'get'
  })
}

// 更新合作状态
export const updateCooperate = (params) => {
  return axios({
    url: '/dealer/updateCooperate',
    data: params,
    method: 'post'
  })
}