import { axios } from '@/utils/request'

// 发货列表分页
export const dispatchlList = (params) => {
  const url = `/dispatch/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 发货单明细列表分页
export const dispatchDetaillList = (params) => {
  const url = `/dispatch/detail/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 根据发货单SN查询发货单对象
export const dispatchFindBySn = (params) => {
  return axios({
    url: `/dispatch/findBySn/${params.dispatchBillSn}`,
    method: 'get'
  })
}

// 发货单统计查询
export const dispatchQueryCount = (params) => {
  return axios({
    url: '/dispatch/queryCount',
    data: params,
    method: 'post'
  })
}

// 出库
export const dispatchStockOut = (params) => {
  return axios({
    url: `/dispatch/stockOut/${params.dispatchBillSn}`,
    method: 'get'
  })
}

// 备货审核
export const dispatchStockUpAduit = (params) => {
  return axios({
    url: '/dispatch/stockUpAduit',
    data: params,
    method: 'post'
  })
}