import { axios } from '@/utils/request'

//  销售退货 审核
export const salesReturnAudit = (params) => {
  return axios({
    url: `/salesReturn/audit/${params.salesReturnBillSn}`,
    method: 'get'
  })
}

//  销售退货 品检
export const salesReturnCheck = (params) => {
  return axios({
    url: `/salesReturn/check/${params.salesReturnBillSn}`,
    method: 'get'
  })
}

//  销售退货 删除
export const salesReturnDel = (params) => {
  return axios({
    url: `/salesReturn/delete/${params.salesReturnBillSn}`,
    method: 'get'
  })
}

// 根据SN查询销售退货单
export const salesReturnDetail = (params) => {
  return axios({
    url: `/salesReturn/findBySn/${params.salesReturnBillSn}`,
    method: 'get'
  })
}

// 新建销售退货单
export const salesReturnInsert = (params) => {
  return axios({
    url: '/salesReturn/insert',
    data: params,
    method: 'post'
  })
}

// 销售退货单付款
export const salesReturnPay = (params) => {
  return axios({
    url: '/salesReturn/pay',
    data: params,
    method: 'post'
  })
}

//  销售退货 打印
export const salesReturnPrint = (params) => {
  return axios({
    url: '/salesReturn/print',
    data: params,
    method: 'post'
  })
}

//  销售退货 打印预览
export const salesReturnPrintPreview = (params) => {
  return axios({
    url: '/salesReturn/printPreview',
    data: params,
    method: 'post'
  })
}

//  销售退货 统计查询
export const salesReturnQueryCount = (params) => {
  return axios({
    url: '/salesReturn/queryCount',
    data: params,
    method: 'post'
  })
}

//  销售退货 分页查询产品
export const salesReturnList = (params) => {
  const url = `/salesReturn/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

//  销售退货 提交
export const salesReturnSubmit = (params) => {
  return axios({
    url: `/salesReturn/submit/${params.salesReturnBillSn}`,
    method: 'get'
  })
}

// 抓单列表
export const salesQueryByReturn = (params) => {
  const url = `/sales/detail/queryByReturn/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
