import { axios } from '@/utils/request'

//  库存列表  分页
export const stockList = (params) => {
  const url = `/stock/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  库存 列表 合计
export const stockCount = (params) => {
  return axios({
    url: '/stock/queryPageCount',
    data: params,
    method: 'post'
  })
}
//  库存 详情列表  分页
export const stockDetailList = (params) => {
  const url = `/stock/queryDetailPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  库存 详情列表 合计
export const stockDetailCount = (params) => {
  return axios({
    url: '/stock/queryDetailPageCount',
    data: params,
    method: 'post'
  })
}

// 分页查询产品库存列表
export const queryStockProductPage = (params) => {
  const url = `/stock/queryStockProductPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

//  出入库明细 列表  有分页
export const stockFlowList = (params) => {
  const url = `/stock/queryFlowPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  出入库明细  列表  合计
export const stockFlowCount = (params) => {
  return axios({
    url: '/stock/queryFlowPageCount',
    data: params,
    method: 'post'
  })
}

//  库存预警 列表  分页
export const stockWarnList = (params) => {
  const url = `/stock/queryWarnPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  库存预警 保存
export const stockWarnSaveBatch = (params) => {
  return axios({
    url: '/stock/updateStateBatch',
    data: params,
    method: 'post'
  })
}
