import { axios } from '@/utils/request'

//  供应商 列表  有分页
export const supplierList = (params) => {
  const url = `/supplier/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  供应商 详情
export const supplierDetail = (params) => {
  return axios({
    url: `/supplier/findBySn/${params.sn}`,
    method: 'get'
  })
}
//  供应商 保存
export const supplierSave = (params) => {
  return axios({
    url: '/supplier/save',
    data: params,
    method: 'post'
  })
}

// 启用禁用
export const updateEnableStatus = (params) => {
  return axios({
    url: `/supplier/enable/${params.sn}/${params.flag}`,
    data: params,
    method: 'post'
  })
}

// 分页查询供应商产品列表
export const supplierProductList = (params) => {
  const url = `/supplierProduct/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 设置成本价
export const settingCost = (params) => {
  return axios({
    url: `/supplierProduct/settingCost`,
    data: params,
    method: 'post'
  })
}

// 删除产品信息
export const deleteProduct = (params) => {
  return axios({
    url: `/supplierProduct/deleteProduct/${params.sn}`,
    method: 'get'
  })
}

// 添加产品信息
export const addProduct = (params) => {
  return axios({
    url: `/supplierProduct/addProduct`,
    data: params,
    method: 'post'
  })
}