// eslint-disable-next-line
import {
  UserLayout,
  BasicLayout,
  RouteView,
  BlankLayout,
  PageView
} from '@/layouts'

export const asyncRouterMap = [
  {
    path: '/',
    name: 'index',
    component: BasicLayout,
    meta: {
      title: '首页'
    },
    redirect: '/home',
    children: [
      {
        path: '/home',
        name: 'home',
        redirect: '/home',
        component: PageView,
        meta: {
          title: '首页',
          icon: 'home'
        },
        hideChildrenInMenu: true,
        children: [{
          path: '/home',
          name: 'home',
          component: () => import(/* webpackChunkName: "home" */ '@/views/Home'),
          meta: {
            title: '首页',
            icon: 'home',
            hide: true
          }
        }]
      },
      {
        path: '/changePwd',
        name: 'changePwd',
        component: () => import(/* webpackChunkName: "home" */ '@/views/user/ChangePwd'),
        meta: {
          title: '修改密码',
          icon: 'home'
        },
        hidden: true
      },
      // 产品管理
      {
        path: '/productManagement',
        redirect: '/productManagement/productInfo',
        component: PageView,
        meta: {
          title: '产品管理',
          icon: 'shopping'
          // permission: 'M_shop'
        },
        children: [
          {
            path: '/productManagement/productInfo',
            redirect: '/productManagement/productInfo/list',
            name: 'productInfo',
            component: RouteView,
            meta: {
              title: '产品列表',
              icon: 'file-text'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productInfoList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productInfo/list.vue'),
                meta: {
                  title: '产品列表',
                  icon: 'file-text',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              },
              {
                path: 'add',
                name: 'productInfoAdd',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productInfo/edit.vue'),
                meta: {
                  title: '新增产品',
                  icon: 'file-text',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              },
              {
                path: 'edit/:id/:sn',
                name: 'productInfoEdit',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productInfo/edit.vue'),
                meta: {
                  title: '编辑产品',
                  icon: 'file-text',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              }
            ]
          },
          {
            path: '/productManagement/productPricing',
            redirect: '/productManagement/productPricing/list',
            name: 'productPricing',
            component: RouteView,
            meta: {
              title: '产品定价',
              icon: 'sketch'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productPricingList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productPricing/list.vue'),
                meta: {
                  title: '产品定价列表',
                  icon: 'sketch',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              }
            ]
          },
          {
            path: '/productManagement/priceChangeRecord',
            redirect: '/productManagement/priceChangeRecord/list',
            name: 'priceChangeRecord',
            component: RouteView,
            meta: {
              title: '价格变更记录',
              icon: 'sketch'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'priceChangeRecordList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/priceChangeRecord/list.vue'),
                meta: {
                  title: '价格变更记录列表',
                  icon: 'sketch',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              }
            ]
          },
          {
            path: '/productManagement/productLaunchAudit',
            redirect: '/productManagement/productLaunchAudit/list',
            name: 'productLaunchAudit',
            component: RouteView,
            meta: {
              title: '产品上线审核',
              icon: 'sketch'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productLaunchAuditList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productLaunchAudit/list.vue'),
                meta: {
                  title: '产品上线审核列表',
                  icon: 'sketch',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              }
            ]
          },
          {
            path: '/productManagement/productOfflineAudit',
            redirect: '/productManagement/productOfflineAudit/list',
            name: 'productOfflineAudit',
            component: RouteView,
            meta: {
              title: '产品下线审核',
              icon: 'sketch'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productOfflineAuditList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productOfflineAudit/list.vue'),
                meta: {
                  title: '产品下线审核列表',
                  icon: 'sketch',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              }
            ]
          },
          {
            path: '/productManagement/productLevel',
            redirect: '/productManagement/productLevel/list',
            name: 'productLevel',
            component: RouteView,
            meta: {
              title: '产品级别管理',
              icon: 'sketch'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productLevelList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productLevel/list.vue'),
                meta: {
                  title: '产品级别列表',
                  icon: 'sketch',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              }
            ]
          },
          {
            path: '/productManagement/productBrand',
            redirect: '/productManagement/productBrand/list',
            name: 'productBrand',
            component: RouteView,
            meta: {
              title: '产品品牌管理',
              icon: 'sketch'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productBrandList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productBrand/list.vue'),
                meta: {
                  title: '产品品牌列表',
                  icon: 'sketch',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              }
            ]
          },
          {
            path: '/productManagement/productCategory',
            redirect: '/productManagement/productCategory/list',
            name: 'productCategory',
            component: RouteView,
            meta: {
              title: '产品分类管理',
              icon: 'sliders'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productCategoryList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productCategory/list.vue'),
                meta: {
                  title: '产品分类列表',
                  icon: 'sliders',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              }
            ]
          }
          // 二期
          // {
          //   path: '/productManagement/purchaseBaseLimit',
          //   redirect: '/productManagement/purchaseBaseLimit/list',
          //   name: 'purchaseBaseLimit',
          //   component: RouteView,
          //   meta: {
          //     title: '产品采购基数限制',
          //     icon: 'sliders'
          //     // permission: 'M_goodsManage_list'
          //   },
          //   hideChildrenInMenu: true,
          //   children: [
          //     {
          //       path: 'list',
          //       name: 'purchaseBaseLimitList',
          //       component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/purchaseBaseLimit/list.vue'),
          //       meta: {
          //         title: '采购基数限制列表',
          //         icon: 'sliders',
          //         hidden: true
          //         // permission: 'M_goodsManage_list'
          //       }
          //     }
          //   ]
          // }
        ]
      },
      // 经销商管理
      {
        path: '/dealerManagement',
        redirect: '/dealerManagement/marketingDivisionSet',
        component: PageView,
        meta: {
          title: '经销商管理',
          icon: 'shopping'
          // permission: 'M_shop'
        },
        children: [
          // {
          //   path: '/dealerManagement/marketingDivisionSet',
          //   redirect: '/dealerManagement/marketingDivisionSet/list',
          //   name: 'marketingDivisionSet',
          //   component: RouteView,
          //   meta: {
          //     title: '营销分区设置',
          //     icon: 'sketch'
          //     // permission: 'M_goodsManage_list'
          //   },
          //   hideChildrenInMenu: true,
          //   children: [
          //     {
          //       path: 'list',
          //       name: 'marketingDivisionSetList',
          //       component: () => import(/* webpackChunkName: "shop" */ '@/views/dealerManagement/marketingDivisionSet/list.vue'),
          //       meta: {
          //         title: '营销分区列表',
          //         icon: 'sketch',
          //         hidden: true
          //         // permission: 'M_goodsManage_list'
          //       }
          //     }
          //   ]
          // },
          // {
          //   path: '/dealerManagement/userManagement',
          //   redirect: '/dealerManagement/userManagement/list',
          //   name: 'dealerManagementUserManagement',
          //   component: RouteView,
          //   meta: {
          //     title: '营销部用户管理',
          //     icon: 'sketch'
          //     // permission: 'M_goodsManage_list'
          //   },
          //   hideChildrenInMenu: true,
          //   children: [
          //     {
          //       path: 'list',
          //       name: 'userManagementList',
          //       component: () => import(/* webpackChunkName: "shop" */ '@/views/dealerManagement/userManagement/list.vue'),
          //       meta: {
          //         title: '营销部用户列表',
          //         icon: 'sketch',
          //         hidden: true
          //         // permission: 'M_goodsManage_list'
          //       }
          //     }
          //   ]
          // },
          {
            path: '/dealerManagement/merchantInfoManagement',
            redirect: '/dealerManagement/merchantInfoManagement/list',
            name: 'merchantInfoManagement',
            component: RouteView,
            meta: {
              title: '经销商资料管理',
              icon: 'file-text'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'merchantInfoManagementList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/dealerManagement/merchantInfoManagement/list.vue'),
                meta: {
                  title: '经销商资料列表',
                  icon: 'file-text',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              },
              {
                path: 'add',
                name: 'merchantInfoManagementAdd',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/dealerManagement/merchantInfoManagement/edit.vue'),
                meta: {
                  title: '新增经销商',
                  icon: 'file-text',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              },
              {
                path: 'edit/:id',
                name: 'merchantInfoManagementEdit',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/dealerManagement/merchantInfoManagement/edit.vue'),
                meta: {
                  title: '编辑经销商',
                  icon: 'file-text',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              },
              {
                path: 'permissionSetting/:sn',
                name: 'merchantInfoManagementSet',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/dealerManagement/merchantInfoManagement/permissionSetting.vue'),
                meta: {
                  title: '经销权设置',
                  icon: 'file-text',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              }
            ]
          },
          {
            path: '/dealerManagement/dealerAccountManagement',
            redirect: '/dealerManagement/dealerAccountManagement/list',
            name: 'dealerAccountManagement',
            component: RouteView,
            meta: {
              title: '经销商账号管理',
              icon: 'sketch'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'dealerAccountManagementList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/dealerManagement/dealerAccountManagement/list.vue'),
                meta: {
                  title: '经销商账号列表',
                  icon: 'sketch',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              }
            ]
          },
          {
            path: '/dealerManagement/dealerRelationshipBinding',
            redirect: '/dealerManagement/dealerRelationshipBinding/list',
            name: 'dealerRelationshipBinding',
            component: RouteView,
            meta: {
              title: '经销商关系绑定',
              icon: 'sketch'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'dealerRelationshipBindingList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/dealerManagement/dealerRelationshipBinding/list.vue'),
                meta: {
                  title: '经销商关系绑定列表',
                  icon: 'sketch',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              }
            ]
          },
          {
            path: '/dealerManagement/rebateSettings',
            redirect: '/dealerManagement/rebateSettings/list',
            name: 'rebateSettings',
            component: RouteView,
            meta: {
              title: '差价归属设置',
              icon: 'sketch'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'rebateSettingsList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/dealerManagement/rebateSettings/list.vue'),
                meta: {
                  title: '差价归属设置列表',
                  icon: 'sketch',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              }
            ]
          }
        ]
      },
      //  供应商管理
      {
        path: '/supplierManagement',
        redirect: '/supplierManagement/supplierInfo',
        component: PageView,
        meta: {
          title: '供应商管理',
          icon: 'team'
          // permission: 'M_shop'
        },
        children: [
          {
            path: '/supplierManagement/supplierInfo',
            redirect: '/supplierManagement/supplierInfo/list',
            name: 'supplierInfo',
            component: RouteView,
            meta: {
              title: '供应商列表',
              icon: 'team'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'supplierInfoList',
                component: () => import(/* webpackChunkName: "supplierManagement" */ '@/views/supplierManagement/supplierInfo/list.vue'),
                meta: {
                  title: '供应商列表',
                  icon: 'team',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              },
              {
                path: 'add',
                name: 'supplierInfoAdd',
                component: () => import(/* webpackChunkName: "supplierManagement" */ '@/views/supplierManagement/supplierInfo/edit.vue'),
                meta: {
                  title: '新增供应商',
                  icon: 'team',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              },
              {
                path: 'edit/:id',
                name: 'supplierInfoEdit',
                component: () => import(/* webpackChunkName: "supplierManagement" */ '@/views/supplierManagement/supplierInfo/edit.vue'),
                meta: {
                  title: '编辑供应商',
                  icon: 'team',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              },
              {
                path: 'associatedProduct/:sn/:name',
                name: 'associatedProduct',
                component: () => import(/* webpackChunkName: "supplierManagement" */ '@/views/supplierManagement/associatedProduct/add.vue'),
                meta: {
                  title: '关联产品',
                  icon: 'team',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              }
            ]
          },
          {
            path: '/supplierManagement/associatedProductDetails',
            redirect: '/supplierManagement/associatedProductDetails/list',
            name: 'associatedProductDetails',
            component: RouteView,
            meta: {
              title: '关联产品明细表',
              icon: 'sketch'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'associatedProductDetailsList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/supplierManagement/associatedProductDetails/list.vue'),
                meta: {
                  title: '关联产品明细列表',
                  icon: 'sketch',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              }
            ]
          }
        ]
      },
      // 采购管理
      {
        path: '/purchasingManagement',
        redirect: '/purchasingManagement/purchaseOrder',
        component: PageView,
        meta: {
          title: '采购管理',
          icon: 'gold'
          // permission: 'M_bulkWarehousing'
        },
        children: [
          {
            path: '/purchasingManagement/bulkWarehousingOrder',
            redirect: '/purchasingManagement/bulkWarehousingOrder/list',
            name: 'bulkWarehousingOrder',
            component: RouteView,
            meta: {
              title: '散件入库',
              icon: 'gold'
              // permission: 'M_bulkWarehousingOrder_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'bulkWarehousingOrderList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/purchasingManagement/bulkWarehousingOrder/list.vue'),
                meta: {
                  title: '散件入库单列表',
                  icon: 'gold',
                  hidden: true
                  // permission: 'M_bulkWarehousingOrder_list'
                }
              },
              {
                path: 'add/:id/:sn',
                name: 'bulkWarehousingOrderAdd',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/purchasingManagement/bulkWarehousingOrder/edit.vue'),
                meta: {
                  title: '新增散件入库单',
                  icon: 'gold',
                  hidden: true
                }
              },
              {
                path: 'edit/:id/:sn',
                name: 'bulkWarehousingOrderEdit',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/purchasingManagement/bulkWarehousingOrder/edit.vue'),
                meta: {
                  title: '编辑散件入库单',
                  icon: 'gold',
                  hidden: true
                }
              },
              {
                path: 'detail/:id/:sn',
                name: 'bulkWarehousingOrderDetail',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/purchasingManagement/bulkWarehousingOrder/detail.vue'),
                meta: {
                  title: '散件入库单详情',
                  icon: 'gold',
                  hidden: true
                }
              }
            ]
          }
        ]
      },
      // 销售管理
      {
        path: '/salesManagement',
        redirect: '/salesManagement/salesQuery',
        component: PageView,
        meta: {
          title: '销售管理',
          icon: 'account-book'
          // permission: 'M_salesManagement'
        },
        children: [
          {
            path: '/salesManagement/salesQuery',
            redirect: '/salesManagement/salesQuery/list',
            name: 'salesQuery',
            component: RouteView,
            meta: {
              title: '销售单查询',
              icon: 'monitor'
              // permission: 'M_salesQuery_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'salesQueryList',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesQuery/list.vue'),
                meta: {
                  title: '销售单列表',
                  icon: 'monitor',
                  hidden: true
                  // permission: 'M_salesQuery_list'
                }
              },
              {
                path: 'detail/:sn',
                name: 'salesDetail',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesQuery/detail.vue'),
                meta: {
                  title: '销售单详情',
                  icon: 'monitor',
                  hidden: true
                  // permission: 'M_salesDetail'
                }
              },
              {
                path: 'add/:sn',
                name: 'salesAdd',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesQuery/edit.vue'),
                meta: {
                  title: '新增销售单',
                  icon: 'monitor',
                  hidden: true
                  // permission: 'M_salesNew'
                }
              },
              {
                path: 'edit/:sn',
                name: 'salesEdit',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesQuery/edit.vue'),
                meta: {
                  title: '编辑销售单',
                  icon: 'monitor',
                  hidden: true
                  // permission: 'M_salesNew'
                }
              },
              {
                path: 'waitDispatch/:sn',
                name: 'waitDispatch',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/waitDispatch/edit.vue'),
                meta: {
                  title: '下推',
                  icon: 'monitor',
                  hidden: true
                  // permission: 'M_salesNew'
                }
              }
            ]
          },
          {
            path: '/salesManagement/examineVerify',
            redirect: '/salesManagement/examineVerify/list',
            name: 'examineVerify',
            component: RouteView,
            meta: {
              title: '备货审核',
              icon: 'audit'
              // permission: 'M_outboundOrder'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'examineVerifyList',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/examineVerify/list.vue'),
                meta: {
                  title: '备货审核列表',
                  icon: 'audit',
                  hidden: true
                  // permission: 'M_outboundOrder_list'
                }
              }
            ]
          },
          {
            path: '/salesManagement/pushOrderManagement',
            redirect: '/salesManagement/pushOrderManagement/list',
            name: 'pushOrderManagement',
            component: RouteView,
            meta: {
              title: '下推订单管理',
              icon: 'export'
              // permission: 'M_outboundList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'pushOrderManagementList',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/pushOrderManagement/list.vue'),
                meta: {
                  title: '下推订单管理列表',
                  icon: 'export',
                  hidden: true
                  // permission: 'M_outboundList'
                }
              },
              {
                path: 'detail/:sn',
                name: 'pushOrderDetail',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/pushOrderManagement/detail.vue'),
                meta: {
                  title: '下推订单详细',
                  icon: 'export',
                  hidden: true
                  // permission: 'M_outboundList'
                }
              }
            ]
          },
          {
            path: '/salesManagement/outboundOrder',
            redirect: '/salesManagement/outboundOrder/list',
            name: 'outboundOrder',
            component: RouteView,
            meta: {
              title: '出库',
              icon: 'export'
              // permission: 'M_outboundList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'outboundOrderList',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/outboundOrder/list.vue'),
                meta: {
                  title: '出库列表',
                  icon: 'export',
                  hidden: true
                  // permission: 'M_outboundList'
                }
              },
              {
                path: 'detail/:id',
                name: 'outboundOrderDetail',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/outboundOrder/detail.vue'),
                meta: {
                  title: '出库明细',
                  icon: 'export',
                  hidden: true
                }
              }
            ]
          },
          {
            path: '/salesManagement/salesReturn',
            redirect: '/salesManagement/salesReturn/list',
            name: 'salesReturn',
            component: RouteView,
            meta: {
              title: '销售退货列表',
              icon: 'fund'
              // permission: 'M_salesReturn_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'salesReturnList',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesReturn/list.vue'),
                meta: {
                  title: '退货单列表',
                  icon: 'fund',
                  hidden: true
                  // permission: 'M_salesReturn_list'
                }
              },
              {
                path: 'detail/:id/:sn',
                name: 'salesReturnDetail',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesReturn/detail.vue'),
                meta: {
                  title: '退货单详情',
                  icon: 'fund',
                  hidden: true
                  // permission: 'M_salesReturn'
                }
              },
              {
                path: 'salesReturnGrabEdit/:sn/:buyerSn',
                name: 'salesReturnGrabEdit',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesReturn/salesReturnGrabEdit.vue'),
                meta: {
                  title: '编辑退货单（抓单）',
                  icon: 'fund',
                  hidden: true
                  // permission: 'M_salesReturnGrabEdit'
                }
              },
              {
                path: 'salesReturnEdit/:sn/:buyerSn',
                name: 'salesReturnEdit',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesReturn/salesReturnEdit.vue'),
                meta: {
                  title: '编辑退货单（不抓单）',
                  icon: 'fund',
                  hidden: true
                  // permission: 'M_salesReturnEdit'
                }
              }
            ]
          }
          // {
          //   path: '/salesManagement/backorder',
          //   redirect: '/salesManagement/backorder/list',
          //   name: 'backorder',
          //   component: RouteView,
          //   meta: {
          //     title: '销售缺货列表',
          //     icon: 'exception'
          //     // permission: 'M_goodsManage_list'
          //   },
          //   hideChildrenInMenu: true,
          //   children: [
          //     {
          //       path: 'list',
          //       name: 'backorderList',
          //       component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/backorder/list.vue'),
          //       meta: {
          //         title: '缺货单列表',
          //         icon: 'exception',
          //         hidden: true
          //         // permission: 'M_goodsManage_list'
          //       }
          //     },
          //     {
          //       path: 'detail/:id',
          //       name: 'backorderDetail',
          //       component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/backorder/detail.vue'),
          //       meta: {
          //         title: '缺货单详情',
          //         icon: 'exception',
          //         hidden: true
          //         // permission: 'M_goodsManage_list'
          //       }
          //     }
          //   ]
          // },
          // {
          //   path: '/salesManagement/shortageStatisticsC',
          //   redirect: '/salesManagement/shortageStatisticsC/list',
          //   name: 'shortageStatisticsC',
          //   component: RouteView,
          //   meta: {
          //     title: '缺货统计（按客户）',
          //     icon: 'sketch'
          //     // permission: 'M_goodsManage_list'
          //   },
          //   hideChildrenInMenu: true,
          //   children: [
          //     {
          //       path: 'list',
          //       name: 'shortageStatisticsCList',
          //       component: () => import(/* webpackChunkName: "shop" */ '@/views/salesManagement/shortageStatisticsC/list.vue'),
          //       meta: {
          //         title: '缺货统计列表',
          //         icon: 'sketch',
          //         hidden: true
          //         // permission: 'M_goodsManage_list'
          //       }
          //     }
          //   ]
          // },
          // {
          //   path: '/salesManagement/shortageStatisticsP',
          //   redirect: '/salesManagement/shortageStatisticsP/list',
          //   name: 'shortageStatisticsP',
          //   component: RouteView,
          //   meta: {
          //     title: '缺货统计（按产品）',
          //     icon: 'sketch'
          //     // permission: 'M_goodsManage_list'
          //   },
          //   hideChildrenInMenu: true,
          //   children: [
          //     {
          //       path: 'list',
          //       name: 'shortageStatisticsPList',
          //       component: () => import(/* webpackChunkName: "shop" */ '@/views/salesManagement/shortageStatisticsP/list.vue'),
          //       meta: {
          //         title: '缺货统计列表',
          //         icon: 'sketch',
          //         hidden: true
          //         // permission: 'M_goodsManage_list'
          //       }
          //     }
          //   ]
          // }
        ]
      },
      // 库存管理
      {
        path: '/inventoryManagement',
        redirect: '/inventoryManagement/inventoryQuery',
        component: PageView,
        meta: {
          title: '库存管理',
          icon: 'shop'
          // permission: 'M_shop'
        },
        children: [
          {
            path: '/inventoryManagement/inventoryQuery',
            redirect: '/inventoryManagement/inventoryQuery/list',
            name: 'inventoryQuery',
            component: RouteView,
            meta: {
              title: '库存查询',
              icon: 'monitor'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'inventoryQueryList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryQuery/list.vue'),
                meta: {
                  title: '库存列表',
                  icon: 'monitor',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              },
              {
                path: 'warehouseDetail/:id',
                name: 'inventoryQueryWarehouseDetail',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryQuery/warehouseDetail.vue'),
                meta: {
                  title: '出入库明细',
                  icon: 'monitor',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              }
            ]
          },
          {
            path: '/inventoryManagement/inventoryWarning',
            name: 'inventoryWarningList',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryWarning/list.vue'),
            meta: {
              title: '库存预警',
              icon: 'alert'
              // permission: 'M_goodsShelves_0'
            }
          }
          // 二期
          // {
          //   path: '/inventoryManagement/inventoryChecking',
          //   redirect: '/inventoryManagement/inventoryChecking/list',
          //   name: 'inventoryChecking',
          //   component: RouteView,
          //   meta: {
          //     title: '库存盘点',
          //     icon: 'reconciliation'
          //     // permission: 'M_goodsManage_list'
          //   },
          //   hideChildrenInMenu: true,
          //   children: [
          //     {
          //       path: 'list',
          //       name: 'inventoryCheckingList',
          //       component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryChecking/list.vue'),
          //       meta: {
          //         title: '库存盘点列表',
          //         icon: 'reconciliation',
          //         hidden: true
          //         // permission: 'M_goodsManage_list'
          //       }
          //     },
          //     {
          //       path: 'overall/:id',
          //       name: 'inventoryCheckingOverall',
          //       component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryChecking/overall.vue'),
          //       meta: {
          //         title: '盘点人盘点【全盘】',
          //         icon: 'reconciliation',
          //         hidden: true
          //         // permission: 'B_goodsManage_edit'
          //       }
          //     },
          //     {
          //       path: 'selfDisk/:id',
          //       name: 'inventoryCheckingSelfDisk',
          //       component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryChecking/selfDisk.vue'),
          //       meta: {
          //         title: '盘点人盘点【自选盘点】',
          //         icon: 'reconciliation',
          //         hidden: true
          //         // permission: 'B_goodsManage_edit'
          //       }
          //     },
          //     {
          //       path: 'detail/:id',
          //       name: 'inventoryCheckingDetail',
          //       component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryChecking/detail.vue'),
          //       meta: {
          //         title: '库存盘点详情',
          //         icon: 'reconciliation',
          //         hidden: true
          //         // permission: 'B_goodsManage_edit'
          //       }
          //     },
          //     {
          //       path: 'makeInventory/:id',
          //       name: 'inventoryCheckingMakeInventory',
          //       component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryChecking/makeInventory.vue'),
          //       meta: {
          //         title: '待盘点【盘点】',
          //         icon: 'reconciliation',
          //         hidden: true
          //         // permission: 'B_goodsManage_edit'
          //       }
          //     },
          //     {
          //       path: 'makeInventory/detail/:id', /* 待盘点【盘点】详情  */
          //       name: 'inventoryCheckingMakeInventoryDetail',
          //       component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryChecking/makeInventoryDetail.vue'),
          //       meta: {
          //         title: '库存盘点详情',
          //         icon: 'reconciliation',
          //         hidden: true
          //         // permission: 'B_goodsManage_edit'
          //       }
          //     },
          //     {
          //       path: 'financialAudit/detail/:id', /* 财务审核详情  */
          //       name: 'inventoryCheckingFinancialAuditDetail',
          //       component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryChecking/financialAuditDetail.vue'),
          //       meta: {
          //         title: '库存盘点详情',
          //         icon: 'reconciliation',
          //         hidden: true
          //         // permission: 'B_goodsManage_edit'
          //       }
          //     }
          //   ]
          // }
        ]
      },
      // 调拨管理
      {
        path: '/allocationManagement',
        redirect: '/allocationManagement/transferOut',
        component: PageView,
        meta: {
          title: '调拨',
          icon: 'cluster'
          // permission: 'M_shop'
        },
        children: [
          {
            path: '/allocationManagement/transferOut',
            redirect: '/allocationManagement/transferOut/list',
            name: 'transferOut',
            component: RouteView,
            meta: {
              title: '调拨列表',
              icon: 'pull-request'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'transferOutList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/transferOut/list.vue'),
                meta: {
                  title: '调拨列表',
                  icon: 'pull-request',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              },
              {
                path: 'add/:id/:sn/:name',
                name: 'transferOutAdd',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/transferOut/edit.vue'),
                meta: {
                  title: '新增调拨单',
                  icon: 'pull-request',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              },
              {
                path: 'edit/:id/:sn/:name',
                name: 'transferOutEdit',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/transferOut/edit.vue'),
                meta: {
                  title: '编辑调拨单',
                  icon: 'pull-request',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              },
              {
                path: 'detail/:sn',
                name: 'transferOutDetail',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/transferOut/detail.vue'),
                meta: {
                  title: '调拨单详情',
                  icon: 'pull-request',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              }
            ]
          }
        ]
      },
      // 促销管理
      {
        path: '/promotionRulesManagement',
        redirect: '/promotionRulesManagement/promotionRules',
        component: PageView,
        meta: {
          title: '促销管理',
          icon: 'cluster'
          // permission: 'M_shop'
        },
        children: [
          {
            path: '/promotionRulesManagement/promotionRules',
            redirect: '/promotionRulesManagement/promotionRules/list',
            name: 'promotionRules',
            component: RouteView,
            meta: {
              title: '促销规则管理',
              icon: 'pull-request'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'promotionRulesManagementList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/promotionRulesManagement/promotionRules/list.vue'),
                meta: {
                  title: '促销规则列表',
                  icon: 'pull-request',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              },
              {
                path: 'detail/:id/:sn',
                name: 'promotionRulesManagementDetail',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/promotionRulesManagement/promotionRules/detail.vue'),
                meta: {
                  title: '促销规则详情',
                  icon: 'pull-request',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              },
              {
                path: 'rule/:id/:sn',
                name: 'promotionRulesManagementRule',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/promotionRulesManagement/promotionRules/rule.vue'),
                meta: {
                  title: '促销规则设置',
                  icon: 'pull-request',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              }
            ]
          },
          {
            path: '/promotionRulesManagement/orderStatistics',
            redirect: '/promotionRulesManagement/orderStatistics/list',
            name: 'orderStatistics',
            component: RouteView,
            meta: {
              title: '促销订单统计',
              icon: 'pull-request'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'orderStatisticsList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/promotionRulesManagement/orderStatistics/list.vue'),
                meta: {
                  title: '订单统计列表',
                  icon: 'pull-request',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              }
            ]
          },
          {
            path: '/promotionRulesManagement/productStatistics',
            redirect: '/promotionRulesManagement/productStatistics/list',
            name: 'productStatistics',
            component: RouteView,
            meta: {
              title: '促销产品统计',
              icon: 'pull-request'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productStatisticsList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/promotionRulesManagement/productStatistics/list.vue'),
                meta: {
                  title: '产品统计列表',
                  icon: 'pull-request',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              }
            ]
          }
        ]
      },
      // 财务管理
      {
        path: '/financialManagement',
        redirect: '/financialManagement/returnConfirmation',
        component: PageView,
        meta: {
          title: '财务管理',
          icon: 'property-safety'
          // permission: 'M_shop'
        },
        children: [
          // 二期
          // {
          //   path: '/financialManagement/inventoryReview',
          //   redirect: '/financialManagement/inventoryReview/list',
          //   name: 'inventoryReview',
          //   component: RouteView,
          //   meta: {
          //     title: '盘点审核',
          //     icon: 'laptop'
          //     // permission: 'M_goodsManage_list'
          //   },
          //   hideChildrenInMenu: true,
          //   children: [
          //     {
          //       path: 'list',
          //       name: 'inventoryReviewList',
          //       component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/inventoryReview/list.vue'),
          //       meta: {
          //         title: '盘点审核列表',
          //         icon: 'laptop',
          //         hidden: true
          //         // permission: 'M_goodsManage_list'
          //       }
          //     },
          //     {
          //       path: 'detail/:id',
          //       name: 'inventoryReviewDetail',
          //       component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/inventoryReview/detail.vue'),
          //       meta: {
          //         title: '盘点审核详情',
          //         icon: 'laptop',
          //         hidden: true
          //         // permission: 'B_goodsManage_edit'
          //       }
          //     }
          //   ]
          // },
          {
            path: '/financialManagement/warehousingConfirmation',
            redirect: '/financialManagement/warehousingConfirmation/list',
            name: 'warehousingConfirmation',
            component: RouteView,
            meta: {
              title: '入库确认',
              icon: 'pull-request'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'warehousingConfirmationList',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/warehousingConfirmation/list.vue'),
                meta: {
                  title: '入库确认列表',
                  icon: 'pull-request',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              },
              {
                path: 'detail/:id',
                name: 'warehousingConfirmationDetail',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/warehousingConfirmation/detail.vue'),
                meta: {
                  title: '入库确认详情',
                  icon: 'pull-request',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              }
            ]
          },
          {
            path: '/financialManagement/returnConfirmation',
            redirect: '/financialManagement/returnConfirmation/list',
            name: 'returnConfirmation',
            component: RouteView,
            meta: {
              title: '退货确认',
              icon: 'pull-request'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'returnConfirmationList',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/returnConfirmation/list.vue'),
                meta: {
                  title: '退货确认列表',
                  icon: 'pull-request',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              },
              {
                path: 'detail/:id',
                name: 'returnConfirmationDetail',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/returnConfirmation/detail.vue'),
                meta: {
                  title: '退货确认详情',
                  icon: 'pull-request',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              }
            ]
          },
          {
            path: '/financialManagement/financialCollection',
            redirect: '/financialManagement/financialCollection/list',
            name: 'financialCollection',
            component: RouteView,
            meta: {
              title: '财务收款',
              icon: 'sketch'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'financialCollectionList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/financialManagement/financialCollection/list.vue'),
                meta: {
                  title: '财务收款列表',
                  icon: 'sketch',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              }
            ]
          }
        ]
      },
      // // 菜单管理
      // {
      //   path: '/menusAuth',
      //   redirect: '/bnSetting/menusAuth',
      //   component: PageView,
      //   meta: {
      //     title: '菜单管理',
      //     icon: 'bars'
      //     // permission: 'M_menusAuth_0'
      //   },
      //   children: [
      //     {
      //       path: '/menusAuth/storeMenus',
      //       name: 'storeMenus',
      //       component: () => import(/* webpackChunkName: "bnSetting" */ '@/views/bnSetting/menu/storeMenus.vue'),
      //       meta: {
      //         title: '连锁菜单管理',
      //         icon: 'shop'
      //         // permission: 'M_menusAuth_lsMenus'
      //       }
      //     },
      //     // {
      //     //   path: '/menusAuth/adminMenus',
      //     //   name: 'adminMenus',
      //     //   component: () => import(/* webpackChunkName: "bnSetting" */ '@/views/bnSetting/menu/adminMenus.vue'),
      //     //   meta: {
      //     //     title: 'boss菜单管理',
      //     //     icon: 'appstore',
      //     //     // permission: 'M_menusAuth_adminMenus'
      //     //   }
      //     // },
      //     {
      //       path: '/menusAuth/menu',
      //       name: 'powerMenu',
      //       component: () => import(/* webpackChunkName: "auth" */ '@/views/power/menu/menu.vue'),
      //       meta: {
      //         title: 'IT菜单管理',
      //         icon: 'profile'
      //         // permission: 'M_menusAuth_menu'
      //       }
      //     }
      //   ]
      // },
      // 基础设置
      {
        path: '/basicData',
        redirect: '/basicData/warehouse',
        component: PageView,
        meta: {
          title: '基础设置',
          icon: 'pushpin'
          // permission: 'M_basicData'
        },
        children: [
          {
            path: '/basicData/warehouse',
            redirect: '/basicData/warehouse/list',
            name: 'warehouse',
            component: RouteView,
            meta: {
              title: '仓库管理',
              icon: 'deployment-unit'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'warehouseList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/basicData/warehouse/list.vue'),
                meta: {
                  title: '仓库列表',
                  icon: 'deployment-unit',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              },
              {
                path: '/basicData/storingLocation/:sn',
                name: 'storingLocationList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/basicData/warehouse/storingLocation/list.vue'),
                meta: {
                  title: '仓位列表',
                  icon: 'deployment-unit',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              }
            ]
          },
          {
            path: '/basicData/transferTypeManagement',
            redirect: '/basicData/transferTypeManagement/list',
            name: 'transferTypeManagement',
            component: RouteView,
            meta: {
              title: '调拨类型管理',
              icon: 'deployment-unit'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'transferTypeManagementList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/basicData/transferTypeManagement/list.vue'),
                meta: {
                  title: '调拨类型列表',
                  icon: 'deployment-unit',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              }
            ]
          }
        ]
      },
      // 权限管理
      {
        path: '/auth',
        redirect: '/auth/userList',
        component: PageView,
        meta: {
          title: '权限管理',
          icon: 'lock'
          // permission: 'M_auth_0'
        },
        children: [
          {
            path: '/auth/userList',
            name: 'powerUserList',
            component: () => import(/* webpackChunkName: "auth" */ '@/views/power/user/userList.vue'),
            meta: {
              title: '用户管理',
              icon: 'user'
              // permission: 'M_auth_userList'
            }
          },
          {
            path: '/auth/roleList',
            name: 'powerRoleList',
            component: () => import(/* webpackChunkName: "auth" */ '@/views/power/role/roleList.vue'),
            meta: {
              title: '角色管理',
              icon: 'solution'
              // permission: 'M_auth_roleList'
            }
          },
          {
            path: '/menusAuth/adminMenus',
            name: 'adminMenus',
            component: () => import(/* webpackChunkName: "bnSetting" */ '@/views/bnSetting/menu/adminMenus.vue'),
            meta: {
              title: '菜单管理',
              icon: 'appstore'
              // permission: 'M_menusAuth_adminMenus'
            }
          }
        ]
      },
      // 系统设置
      {
        path: '/setting',
        redirect: '/setting/userList',
        component: PageView,
        meta: {
          title: '系统设置',
          icon: 'setting'
          // permission: 'M_setting_0'
        },
        children: [
          {
            path: '/setting/dataDictionary',
            name: 'powerDD',
            component: () => import(/* webpackChunkName: "setting" */
              '@/views/power/dataDictionary/dataDictionary.vue'),
            meta: {
              title: '数据字典管理',
              icon: 'database'
              // permission: 'M_sys_dataDictionary'
            }
          },
          // {
          //   path: '/setting/register',
          //   name: 'powerRegister',
          //   component: () => import(/* webpackChunkName: "setting" */ '@/views/power/register/register.vue'),
          //   meta: {
          //     title: '参数管理',
          //     icon: 'key',
          //     permission: 'M_sys_register'
          //   }
          // },
          {
            path: '/setting/OperateJournal',
            name: 'powerOperateJournal',
            component: () => import(/* webpackChunkName: "setting" */
              '@/views/power/OperateJournal/OperateJournal.vue'),
            meta: {
              title: '操作日志',
              icon: 'read'
              // permission: 'M_operateJournal'
            }
          },
          {
            path: '/setting/noticeManagement',
            redirect: '/setting/noticeManagement/list',
            name: 'noticeManagement',
            component: RouteView,
            meta: {
              title: '公告管理',
              icon: 'sketch'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'noticeManagementList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/setting/noticeManagement/list.vue'),
                meta: {
                  title: '公告列表',
                  icon: 'sketch',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              }
            ]
          }
        ]
      }
    ]
  },
  {
    path: '*',
    redirect: '/404',
    hidden: true
  }
]

/**
 * 基础路由
 * @type { *[] }
 */
export const constantRouterMap = [
  {
    path: '/user',
    component: UserLayout,
    redirect: '/user/login',
    hidden: true,
    children: [
      {
        path: 'login',
        name: 'login',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/Login')
      },
      {
        path: 'register',
        name: 'register',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/Register')
      },
      {
        path: 'register-result',
        name: 'registerResult',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/RegisterResult')
      },
      {
        path: 'recover',
        name: 'recover',
        component: undefined
      }
    ]
  },
  {
    path: '/404',
    component: () => import(/* webpackChunkName: "fail" */ '@/views/exception/404')
  }
]
